Validate S3 Connectivity
Check S3 connectivity from a given environment. Returns the failures if any.
Authorized Roles : PROVIDER
Request
URI
POST
https://{api_host}/provider/environments/{id}/check-s3-connectivity
COPY
Path Parameters
string
id
Required
ID of the Environment
Request Body
Array of
S3StorageDetailsDto
of type(s)
application/json
Optional
[
{
"id": "string",
"name": "string",
"endpoint": "string",
"bucket": "string",
"accessKey": "string",
"secretKey": [
"string"
],
"region": "string",
"thumbprint": "string",
"templateStorage": false
}
]
Responses
200
OK
Operation doesn't return any data structure
206
Partial Content
[
{
"storageId": "string",
"thumbprint": "string",
"storageName": "string"
}
]
400
Bad Request
[
{
"storageId": "string",
"storageName": "string",
"errorCode": {
"type": "string"
},
"errorMessage": "string"
}
]
On This Page
Environment Operations
DELETE
Delete Env
GET
Fetch Datastores
POST
Fetch Infra
GET
Fetch Networks
GET
Get Alerts
GET
Get All Environment Associated Tenants
GET
Get By Env ID
GET
Get Environments
GET
Get Org By Environment
GET
Get Tenant Env Vcenter Password
GET
Get Tenant Env Vm Password
POST
Onboard Embedded Agent
GET
Search Environment By Tenant Id
PUT
Sync S3 Config
PUT
Update 2
PUT
Update Vc Credentials
POST
Validate S3 Connectivity
GET
Verify Embedded Agent Deployment Allowed